Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		scim
#Epoch:		0
Version:	1.4.9
Release:	1
License:	GNU/LGPL
URL:		http://www.scim-im.org/
Group:		System/Libraries
Summary:	smart common input method
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: libXt-devel
BuildRequires: desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
The Smart Common Input Method platform (SCIM) is an input method (IM) platform containing support for more than thirty languages (CJK and many European languages) for POSIX-style operating systems including Linux and BSD.

It uses a clear architecture and provides a simple and powerful programming interface, which is meant to reduce the time required for developing individual IMs.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strup debug symbols 
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/scim
%{_bindir}/scim
%{_bindir}/scim-config-agent
%{_bindir}/scim-setup
%{_libdir}/gtk-2.0/immodules/im-scim.so
%{_libdir}/libscim-1.0.so.*
%{_libdir}/libscim-gtkutils-1.0.so.*
%{_libdir}/libscim-x11utils-1.0.so.*
%{_libdir}/scim-1.0
%{_applications}/scim-setup.desktop
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop
%{_locale}/*/LC_MESSAGES/scim.mo
%{_pixmaps}/scim-setup.png
%{_datadir}/scim

%files devel
%defattr(-,root,root)
%{_includedir}/scim-1.0
%{_libdir}/gtk-2.0/immodules/im-scim.a        
%{_libdir}/gtk-2.0/immodules/im-scim.la       
%{_libdir}/libscim-1.0.a                      
%{_libdir}/libscim-1.0.la                     
%{_libdir}/libscim-1.0.so                     
%{_libdir}/libscim-gtkutils-1.0.a             
%{_libdir}/libscim-gtkutils-1.0.la            
%{_libdir}/libscim-gtkutils-1.0.so            
%{_libdir}/libscim-x11utils-1.0.a             
%{_libdir}/libscim-x11utils-1.0.la            
%{_libdir}/libscim-x11utils-1.0.so            
%{_pkgconfig}/scim-gtkutils.pc                
%{_pkgconfig}/scim.pc                         
%{_pkgconfig}/scim-x11utils.pc                

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.9-1
- initial CCux package release
